GetFlights and BookFlight operations using JAX-RPC (Axis 1).
+ *
+ * @author Arjen Poutsma
+ */
+public class AxisMain {
+
+ public static void main(String[] args) throws ServiceException, RemoteException {
+
+ AirlineServiceLocator service = new AirlineServiceLocator();
+ if (args.length > 0) {
+ service.setAirlineSoap11EndpointAddress(args[0]);
+ }
+ Airline airline = service.getAirlineSoap11();
+ GetFlightsRequest request = new GetFlightsRequest();
+ request.setFrom("AMS");
+ request.setTo("VCE");
+ Calendar departureCalendar = Calendar.getInstance();
+ departureCalendar.set(Calendar.YEAR, 2006);
+ departureCalendar.set(Calendar.MONTH, Calendar.JANUARY);
+ departureCalendar.set(Calendar.DATE, 31);
+ Date departureDate = departureCalendar.getTime();
+ request.setDepartureDate(departureDate);
+ SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
+ System.out.println("Requesting flights on " + dateFormat.format(departureDate));
+ Flight[] flights = airline.getFlights(request);
+ System.out.println("Got " + flights.length + " results");
+ if (flights.length > 0) {
+ // Book the first flight using John Doe as a frequent flyer
+ BookFlightRequest bookFlightRequest = new BookFlightRequest();
+ bookFlightRequest.setFlightNumber(flights[0].getNumber());
+ bookFlightRequest.setDepartureTime(flights[0].getDepartureTime());
+ BookFlightRequestPassengers passengers = new BookFlightRequestPassengers();
+ passengers.setUsername("john");
+ bookFlightRequest.setPassengers(passengers);
+ Ticket ticket = airline.bookFlight(bookFlightRequest);
+ writeTicket(ticket);
+ }
+ }
+
+ private static void writeTicket(Ticket ticket) {
+
+ System.out.println("Ticket " + ticket.getId());
+ SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
+ System.out.println("Ticket issue date:\t" + dateFormat.format(ticket.getIssueDate()));
+ for (int i = 0; i < ticket.getPassengers().length; i++) {
+ writeName(ticket.getPassengers()[i]);
+
+ }
+ writeFlight(ticket.getFlight());
+ }
+
+ private static void writeName(Name name) {
+
+ System.out.println("Passenger Name:");
+ System.out.println(name.getFirst() + " " + name.getLast());
+ System.out.println("------------");
+ }
+
+ private static void writeFlight(Flight flight) {
+
+ SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm");
+ System.out.println(dateFormat.format(flight.getDepartureTime().getTime()));
+ System.out.println(flight.getNumber() + "\t" + flight.getServiceClass());
+ System.out.println("------------");
+ System.out.println("Depart:\t" + flight.getFrom().getCode() + "-" + flight.getFrom().getName() + "\t"
+ + dateFormat.format(flight.getDepartureTime().getTime()));
+ System.out.println("\t" + flight.getFrom().getCity());
+ System.out.println("Arrive:\t" + flight.getTo().getCode() + "-" + flight.getTo().getName() + "\t"
+ + dateFormat.format(flight.getArrivalTime().getTime()));
+ System.out.println("\t" + flight.getTo().getCity());
+ }
+
+}
diff --git a/airline/client/axis1/src/main/java/org/springframework/ws/samples/airline/client/axis1/Main.java b/airline/client/axis1/src/main/java/org/springframework/ws/samples/airline/client/axis1/Main.java
deleted file mode 100644
index 18c25b4..0000000
--- a/airline/client/axis1/src/main/java/org/springframework/ws/samples/airline/client/axis1/Main.java
+++ /dev/null
@@ -1,94 +0,0 @@
-/*
- * Copyright 2006 the original author or authors.
- *
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- * http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- */
-
-package org.springframework.ws.samples.airline.client.axis1;
-
-import java.rmi.RemoteException;
-import java.text.SimpleDateFormat;
-import java.util.Date;
-import java.util.Calendar;
-import javax.xml.rpc.ServiceException;
-
-/**
- * Simple client that calls the GetFlights and BookFlight operations using JAX-RPC (Axis 1).
- *
- * @author Arjen Poutsma
- */
-public class Main {
-
- public static void main(String[] args) throws ServiceException, RemoteException {
- AirlineServiceLocator service = new AirlineServiceLocator();
- if (args.length > 0) {
- service.setAirlineSoap11EndpointAddress(args[0]);
- }
- Airline airline = service.getAirlineSoap11();
- GetFlightsRequest request = new GetFlightsRequest();
- request.setFrom("AMS");
- request.setTo("VCE");
- Calendar departureCalendar = Calendar.getInstance();
- departureCalendar.set(Calendar.YEAR, 2006);
- departureCalendar.set(Calendar.MONTH, Calendar.JANUARY);
- departureCalendar.set(Calendar.DATE, 31);
- Date departureDate = departureCalendar.getTime();
- request.setDepartureDate(departureDate);
- SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
- System.out.println("Requesting flights on " + dateFormat.format(departureDate));
- Flight[] flights = airline.getFlights(request);
- System.out.println("Got " + flights.length + " results");
- if (flights.length > 0)
- {
- // Book the first flight using John Doe as a frequent flyer
- BookFlightRequest bookFlightRequest = new BookFlightRequest();
- bookFlightRequest.setFlightNumber(flights[0].getNumber());
- bookFlightRequest.setDepartureTime(flights[0].getDepartureTime());
- BookFlightRequestPassengers passengers = new BookFlightRequestPassengers();
- passengers.setUsername("john");
- bookFlightRequest.setPassengers(passengers);
- Ticket ticket = airline.bookFlight(bookFlightRequest);
- writeTicket(ticket);
- }
- }
-
- private static void writeTicket(Ticket ticket) {
- System.out.println("Ticket " + ticket.getId());
- SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
- System.out.println("Ticket issue date:\t" + dateFormat.format(ticket.getIssueDate()));
- for (int i = 0; i < ticket.getPassengers().length; i++) {
- writeName(ticket.getPassengers()[i]);
-
- }
- writeFlight(ticket.getFlight());
- }
-
- private static void writeName(Name name) {
- System.out.println("Passenger Name:");
- System.out.println(name.getFirst() + " " + name.getLast());
- System.out.println("------------");
- }
-
- private static void writeFlight(Flight flight) {
- SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm");
- System.out.println(dateFormat.format(flight.getDepartureTime().getTime()));
- System.out.println(flight.getNumber() + "\t" + flight.getServiceClass());
- System.out.println("------------");
- System.out.println("Depart:\t" + flight.getFrom().getCode() + "-" + flight.getFrom().getName() + "\t" + dateFormat.format(flight.getDepartureTime().getTime()));
- System.out.println("\t" + flight.getFrom().getCity());
- System.out.println("Arrive:\t" + flight.getTo().getCode() + "-" + flight.getTo().getName() + "\t" + dateFormat.format(flight.getArrivalTime().getTime()));
- System.out.println("\t" + flight.getTo().getCity());
- }
-
-
-}
diff --git a/airline/client/jax-ws/.mvn/wrapper/maven-wrapper.jar b/airline/client/jax-ws/.mvn/wrapper/maven-wrapper.jar
new file mode 100644
index 0000000..01e6799
Binary files /dev/null and b/airline/client/jax-ws/.mvn/wrapper/maven-wrapper.jar differ
diff --git a/airline/client/jax-ws/.mvn/wrapper/maven-wrapper.properties b/airline/client/jax-ws/.mvn/wrapper/maven-wrapper.properties
new file mode 100644
index 0000000..7179346
--- /dev/null
+++ b/airline/client/jax-ws/.mvn/wrapper/maven-wrapper.properties
@@ -0,0 +1 @@
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.5.4/apache-maven-3.5.4-bin.zip
diff --git a/airline/client/jax-ws/build.gradle b/airline/client/jax-ws/build.gradle
deleted file mode 100644
index 5179794..0000000
--- a/airline/client/jax-ws/build.gradle
+++ /dev/null
@@ -1,38 +0,0 @@
-configurations {
- wsimport
-}
-
-ext.springWsVersion = '2.1.4.RELEASE'
-
-task wsImport {
- ext.outputDir = "${buildDir}/classes/wsimport"
- ext.wsdl = "${projectDir}/../airline.wsdl"
-
- inputs.files wsdl
- outputs.dir outputDir
-
- doLast() {
- project.ant {
- taskdef name: "wsimport", classname: "com.sun.tools.ws.ant.WsImport",
- classpath: configurations.wsimport.asPath
- mkdir(dir: outputDir)
-
- wsimport(destdir: outputDir, wsdl: wsdl,
- package: "org.springframework.ws.samples.airline.client.jaxws") {
- produces(dir: outputDir, includes: "**/*.class")
- }
- }
- }
-}
-
-dependencies {
- compile("org.springframework.ws:spring-ws-core:$springWsVersion")
- compile(files(wsImport.outputDir).builtBy(wsImport))
- runtime("log4j:log4j:1.2.16")
- wsimport "com.sun.xml.ws:jaxws-tools:2.1.7"
-}
-
-task runClient(dependsOn: 'classes', type:JavaExec) {
- main = "org.springframework.ws.samples.airline.client.jaxws.Main"
- classpath = sourceSets.main.runtimeClasspath
-}
\ No newline at end of file
diff --git a/airline/client/jax-ws/mvnw b/airline/client/jax-ws/mvnw
new file mode 100755
index 0000000..5551fde
--- /dev/null
+++ b/airline/client/jax-ws/mvnw
@@ -0,0 +1,286 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven2 Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+# JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+# M2_HOME - location of maven2's installed home dir
+# MAVEN_OPTS - parameters passed to the Java VM when running Maven
+# e.g. to debug Maven itself, use
+# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+# MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+ if [ -f /etc/mavenrc ] ; then
+ . /etc/mavenrc
+ fi
+
+ if [ -f "$HOME/.mavenrc" ] ; then
+ . "$HOME/.mavenrc"
+ fi
+
+fi
+
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+ MINGW*) mingw=true;;
+ Darwin*) darwin=true
+ # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+ # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+ if [ -z "$JAVA_HOME" ]; then
+ if [ -x "/usr/libexec/java_home" ]; then
+ export JAVA_HOME="`/usr/libexec/java_home`"
+ else
+ export JAVA_HOME="/Library/Java/Home"
+ fi
+ fi
+ ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+ if [ -r /etc/gentoo-release ] ; then
+ JAVA_HOME=`java-config --jre-home`
+ fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+ ## resolve links - $0 may be a link to maven's home
+ PRG="$0"
+
+ # need this for relative symlinks
+ while [ -h "$PRG" ] ; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG="`dirname "$PRG"`/$link"
+ fi
+ done
+
+ saveddir=`pwd`
+
+ M2_HOME=`dirname "$PRG"`/..
+
+ # make it fully qualified
+ M2_HOME=`cd "$M2_HOME" && pwd`
+
+ cd "$saveddir"
+ # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --unix "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME="`(cd "$M2_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ javaExecutable="`which javac`"
+ if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+ # readlink(1) is not available as standard on Solaris 10.
+ readLink=`which readlink`
+ if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+ if $darwin ; then
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+ else
+ javaExecutable="`readlink -f \"$javaExecutable\"`"
+ fi
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+ JAVA_HOME="$javaHome"
+ export JAVA_HOME
+ fi
+ fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD="`which java`"
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly." >&2
+ echo " We cannot execute $JAVACMD" >&2
+ exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+ echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+ if [ -z "$1" ]
+ then
+ echo "Path not specified to find_maven_basedir"
+ return 1
+ fi
+
+ basedir="$1"
+ wdir="$1"
+ while [ "$wdir" != '/' ] ; do
+ if [ -d "$wdir"/.mvn ] ; then
+ basedir=$wdir
+ break
+ fi
+ # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+ if [ -d "${wdir}" ]; then
+ wdir=`cd "$wdir/.."; pwd`
+ fi
+ # end of workaround
+ done
+ echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+ if [ -f "$1" ]; then
+ echo "$(tr -s '\n' ' ' < "$1")"
+ fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+ exit 1;
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Found .mvn/wrapper/maven-wrapper.jar"
+ fi
+else
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+ fi
+ jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.4.2/maven-wrapper-0.4.2.jar"
+ while IFS="=" read key value; do
+ case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
+ esac
+ done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Downloading from: $jarUrl"
+ fi
+ wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+
+ if command -v wget > /dev/null; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Found wget ... using wget"
+ fi
+ wget "$jarUrl" -O "$wrapperJarPath"
+ elif command -v curl > /dev/null; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Found curl ... using curl"
+ fi
+ curl -o "$wrapperJarPath" "$jarUrl"
+ else
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Falling back to using Java to download"
+ fi
+ javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+ if [ -e "$javaClass" ]; then
+ if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo " - Compiling MavenWrapperDownloader.java ..."
+ fi
+ # Compiling the Java class
+ ("$JAVA_HOME/bin/javac" "$javaClass")
+ fi
+ if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+ # Running the downloader
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo " - Running MavenWrapperDownloader.java ..."
+ fi
+ ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+ fi
+ fi
+ fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+ echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --path --windows "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+ [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+ MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+ $MAVEN_OPTS \
+ -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+ "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+ ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"
diff --git a/airline/client/jax-ws/mvnw.cmd b/airline/client/jax-ws/mvnw.cmd
new file mode 100644
index 0000000..e5cfb0a
--- /dev/null
+++ b/airline/client/jax-ws/mvnw.cmd
@@ -0,0 +1,161 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements. See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership. The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License. You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied. See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven2 Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.4.2/maven-wrapper-0.4.2.jar"
+FOR /F "tokens=1,2 delims==" %%A IN (%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties) DO (
+ IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+ echo Found %WRAPPER_JAR%
+) else (
+ echo Couldn't find %WRAPPER_JAR%, downloading it ...
+ echo Downloading from: %DOWNLOAD_URL%
+ powershell -Command "(New-Object Net.WebClient).DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"
+ echo Finished downloading %WRAPPER_JAR%
+)
+@REM End of extension
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%
diff --git a/airline/client/jax-ws/pom.xml b/airline/client/jax-ws/pom.xml
new file mode 100644
index 0000000..23ee83a
--- /dev/null
+++ b/airline/client/jax-ws/pom.xml
@@ -0,0 +1,120 @@
+
+GetFlights and BookFlight operations using JAX-WS.
+ *
+ * @author Arjen Poutsma
+ */
+public class JaxWsMain {
+
+ public static void main(String[] args) throws MalformedURLException, DatatypeConfigurationException {
+
+ try {
+ AirlineService service;
+ if (args.length == 0) {
+ service = new AirlineService();
+ } else {
+ QName serviceName = new QName("http://www.springframework.org/spring-ws/samples/airline/definitions",
+ "AirlineService");
+ service = new AirlineService(new URL(args[0]), serviceName);
+ }
+ Airline airline = service.getAirlineSoap11();
+ GetFlightsRequest request = new GetFlightsRequest();
+ request.setFrom("AMS");
+ request.setTo("VCE");
+ XMLGregorianCalendar departureDate = DatatypeFactory.newInstance().newXMLGregorianCalendarDate(2006, 1, 31,
+ DatatypeConstants.FIELD_UNDEFINED);
+ request.setDepartureDate(departureDate);
+ System.out.format("Requesting flights on %1tD%n", departureDate.toGregorianCalendar());
+ GetFlightsResponse response = airline.getFlights(request);
+ System.out.format("Got %1d results%n", response.getFlight().size());
+ if (!response.getFlight().isEmpty())
+ // Book the first flight using John Doe as a frequent flyer
+ {
+ Flight flight = response.getFlight().get(0);
+ BookFlightRequest bookFlightRequest = new BookFlightRequest();
+ bookFlightRequest.setFlightNumber(flight.getNumber());
+ bookFlightRequest.setDepartureTime(flight.getDepartureTime());
+ BookFlightRequest.Passengers passengers = new BookFlightRequest.Passengers();
+ passengers.getPassengerOrUsername().add("john");
+ bookFlightRequest.setPassengers(passengers);
+ Ticket ticket = airline.bookFlight(bookFlightRequest);
+ writeTicket(ticket);
+ }
+ } catch (SOAPFaultException ex) {
+ System.out.format("SOAP Fault Code %1s%n", ex.getFault().getFaultCodeAsQName());
+ System.out.format("SOAP Fault String: %1s%n", ex.getFault().getFaultString());
+
+ }
+ }
+
+ private static void writeTicket(Ticket ticket) {
+
+ System.out.format("Ticket %1d%n", ticket.getId());
+ System.out.format("Ticket issue date:\t%1tD%n", ticket.getIssueDate().toGregorianCalendar());
+ for (Name passenger : ticket.getPassengers().getPassenger()) {
+ writeName(passenger);
+
+ }
+ writeFlight(ticket.flight);
+ }
+
+ private static void writeName(Name name) {
+
+ System.out.format("Passenger Name:%n");
+ System.out.format("%1s %2s%n", name.getFirst(), name.getLast());
+ System.out.format("------------%n");
+ }
+
+ private static void writeFlight(Flight flight) {
+
+ System.out.format("%1tD%n", flight.getDepartureTime().toGregorianCalendar());
+ System.out.format("%1s\t%2s%n", flight.getNumber(), flight.getServiceClass());
+ System.out.format("------------%n");
+ System.out.format("Depart:\t%1s-%2s\t%tR%n", flight.getFrom().getCode(), flight.getFrom().getName(),
+ flight.getDepartureTime().toGregorianCalendar());
+ System.out.format("\t%1s%n", flight.getFrom().getCity());
+ System.out.format("Arrive:\t%1s-%2s\t%tR%n", flight.getTo().getCode(), flight.getTo().getName(),
+ flight.getArrivalTime().toGregorianCalendar());
+ System.out.format("\t%1s%n", flight.getTo().getCity());
+ }
+
+}
diff --git a/airline/client/jax-ws/src/main/java/org/springframework/ws/samples/airline/client/jaxws/Main.java b/airline/client/jax-ws/src/main/java/org/springframework/ws/samples/airline/client/jaxws/Main.java
deleted file mode 100644
index 12e2d2b..0000000
--- a/airline/client/jax-ws/src/main/java/org/springframework/ws/samples/airline/client/jaxws/Main.java
+++ /dev/null
@@ -1,104 +0,0 @@
-/*
- * Copyright 2006 the original author or authors.
- *
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- * http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- */
-
-package org.springframework.ws.samples.airline.client.jaxws;
-
-import java.net.MalformedURLException;
-import java.net.URL;
-import javax.xml.datatype.DatatypeConfigurationException;
-import javax.xml.datatype.DatatypeConstants;
-import javax.xml.datatype.DatatypeFactory;
-import javax.xml.datatype.XMLGregorianCalendar;
-import javax.xml.namespace.QName;
-import javax.xml.ws.soap.SOAPFaultException;
-
-/**
- * Simple client that calls the GetFlights and BookFlight operations using JAX-WS.
- *
- * @author Arjen Poutsma
- */
-public class Main {
-
- public static void main(String[] args) throws MalformedURLException, DatatypeConfigurationException {
- try {
- AirlineService service;
- if (args.length == 0) {
- service = new AirlineService();
- }
- else {
- QName serviceName = new QName("http://www.springframework.org/spring-ws/samples/airline/definitions",
- "AirlineService");
- service = new AirlineService(new URL(args[0]), serviceName);
- }
- Airline airline = service.getAirlineSoap11();
- GetFlightsRequest request = new GetFlightsRequest();
- request.setFrom("AMS");
- request.setTo("VCE");
- XMLGregorianCalendar departureDate =
- DatatypeFactory.newInstance().newXMLGregorianCalendarDate(2006, 1, 31,
- DatatypeConstants.FIELD_UNDEFINED);
- request.setDepartureDate(departureDate);
- System.out.format("Requesting flights on %1tD%n", departureDate.toGregorianCalendar());
- GetFlightsResponse response = airline.getFlights(request);
- System.out.format("Got %1d results%n", response.getFlight().size());
- if (!response.getFlight().isEmpty())
- // Book the first flight using John Doe as a frequent flyer
- {
- Flight flight = response.getFlight().get(0);
- BookFlightRequest bookFlightRequest = new BookFlightRequest();
- bookFlightRequest.setFlightNumber(flight.getNumber());
- bookFlightRequest.setDepartureTime(flight.getDepartureTime());
- BookFlightRequest.Passengers passengers = new BookFlightRequest.Passengers();
- passengers.getPassengerOrUsername().add("john");
- bookFlightRequest.setPassengers(passengers);
- Ticket ticket = airline.bookFlight(bookFlightRequest);
- writeTicket(ticket);
- }
- }
- catch (SOAPFaultException ex) {
- System.out.format("SOAP Fault Code %1s%n", ex.getFault().getFaultCodeAsQName());
- System.out.format("SOAP Fault String: %1s%n", ex.getFault().getFaultString());
-
- }
- }
-
- private static void writeTicket(Ticket ticket) {
- System.out.format("Ticket %1d%n", ticket.getId());
- System.out.format("Ticket issue date:\t%1tD%n", ticket.getIssueDate().toGregorianCalendar());
- for (Name passenger : ticket.getPassengers().getPassenger()) {
- writeName(passenger);
-
- }
- writeFlight(ticket.flight);
- }
-
- private static void writeName(Name name) {
- System.out.format("Passenger Name:%n");
- System.out.format("%1s %2s%n", name.getFirst(), name.getLast());
- System.out.format("------------%n");
- }
-
- private static void writeFlight(Flight flight) {
- System.out.format("%1tD%n", flight.getDepartureTime().toGregorianCalendar());
- System.out.format("%1s\t%2s%n", flight.getNumber(), flight.getServiceClass());
- System.out.format("------------%n");
- System.out.format("Depart:\t%1s-%2s\t%tR%n", flight.getFrom().getCode(), flight.getFrom().getName(), flight.getDepartureTime().toGregorianCalendar());
- System.out.format("\t%1s%n", flight.getFrom().getCity());
- System.out.format("Arrive:\t%1s-%2s\t%tR%n", flight.getTo().getCode(), flight.getTo().getName(), flight.getArrivalTime().toGregorianCalendar());
- System.out.format("\t%1s%n", flight.getTo().getCity());
- }
-
-}
diff --git a/airline/client/jms/build.gradle b/airline/client/jms/build.gradle
deleted file mode 100644
index e2cf3a8..0000000
--- a/airline/client/jms/build.gradle
+++ /dev/null
@@ -1,14 +0,0 @@
-ext.springWsVersion = '2.1.4.RELEASE'
-
-dependencies {
- compile("org.springframework.ws:spring-ws-core:$springWsVersion")
- compile("org.springframework.ws:spring-ws-support:$springWsVersion")
- compile("org.apache.geronimo.specs:geronimo-jms_1.1_spec:1.1")
- runtime("log4j:log4j:1.2.16")
- runtime("org.apache.activemq:activemq-core:4.1.2")
-}
-
-task runClient(dependsOn: 'classes', type:JavaExec) {
- main = "org.springframework.ws.samples.airline.client.jms.JmsClient"
- classpath = sourceSets.main.runtimeClasspath
-}
\ No newline at end of file
diff --git a/airline/client/jms/pom.xml b/airline/client/jms/pom.xml
new file mode 100644
index 0000000..985c24e
--- /dev/null
+++ b/airline/client/jms/pom.xml
@@ -0,0 +1,62 @@
+
+AirlineService interface.
*
@@ -50,97 +49,96 @@ import org.joda.time.LocalDate;
@Transactional(readOnly = true)
public class AirlineServiceImpl implements AirlineService {
- private static final Log logger = LogFactory.getLog(AirlineServiceImpl.class);
+ private static final Log logger = LogFactory.getLog(AirlineServiceImpl.class);
- private FlightDao flightDao;
+ private FlightDao flightDao;
- private TicketDao ticketDao;
+ private TicketDao ticketDao;
- private FrequentFlyerSecurityService frequentFlyerSecurityService = new StubFrequentFlyerSecurityService();
+ private FrequentFlyerSecurityService frequentFlyerSecurityService = new StubFrequentFlyerSecurityService();
- @Autowired
- public AirlineServiceImpl(FlightDao flightDao, TicketDao ticketDao) {
- this.flightDao = flightDao;
- this.ticketDao = ticketDao;
- }
+ @Autowired
+ public AirlineServiceImpl(FlightDao flightDao, TicketDao ticketDao) {
- @Autowired(required = false)
- public void setFrequentFlyerSecurityService(FrequentFlyerSecurityService frequentFlyerSecurityService) {
- this.frequentFlyerSecurityService = frequentFlyerSecurityService;
- }
+ this.flightDao = flightDao;
+ this.ticketDao = ticketDao;
+ }
- @Transactional(readOnly = false,
- rollbackFor = {NoSuchFlightException.class, NoSeatAvailableException.class, NoSuchFrequentFlyerException.class})
- public Ticket bookFlight(String flightNumber, DateTime departureTime, List<GetFlightsRequest> payload.
- *
- * @param from the from airport
- * @param to the to airport
- * @param departureDateString the string representation of the departure date
- * @param serviceClassString the string representation of the service class
- * @return the JAXB2 representation of a <GetFlightsResponse>
- */
- @PayloadRoot(localPart = GET_FLIGHTS_REQUEST, namespace = MESSAGES_NAMESPACE)
- @Namespace(prefix = "m", uri = MESSAGES_NAMESPACE)
- @ResponsePayload
- public GetFlightsResponse getFlights(@XPathParam("//m:from") String from,
- @XPathParam("//m:to") String to,
- @XPathParam("//m:departureDate") String departureDateString,
- @XPathParam("//m:serviceClass") String serviceClassString)
- throws DatatypeConfigurationException {
- if (logger.isDebugEnabled()) {
- logger.debug("Received GetFlightsRequest '" + from + "' to '" + to + "' on " + departureDateString);
- }
- LocalDate departureDate = new LocalDate(departureDateString);
- ServiceClass serviceClass = null;
- if (StringUtils.hasLength(serviceClassString)) {
- serviceClass = ServiceClass.valueOf(serviceClassString.toUpperCase());
- }
- List<GetFlightsRequest> payload.
+ *
+ * @param from the from airport
+ * @param to the to airport
+ * @param departureDateString the string representation of the departure date
+ * @param serviceClassString the string representation of the service class
+ * @return the JAXB2 representation of a <GetFlightsResponse>
+ */
+ @PayloadRoot(localPart = GET_FLIGHTS_REQUEST, namespace = MESSAGES_NAMESPACE)
+ @Namespace(prefix = "m", uri = MESSAGES_NAMESPACE)
+ @ResponsePayload
+ public GetFlightsResponse getFlights(@XPathParam("//m:from") String from, @XPathParam("//m:to") String to,
+ @XPathParam("//m:departureDate") String departureDateString,
+ @XPathParam("//m:serviceClass") String serviceClassString) throws DatatypeConfigurationException {
- GetFlightsResponse response = objectFactory.createGetFlightsResponse();
- for (org.springframework.ws.samples.airline.domain.Flight domainFlight : flights) {
- response.getFlight().add(SchemaConversionUtils.toSchemaType(domainFlight));
- }
- return response;
- }
+ if (logger.isDebugEnabled()) {
+ logger.debug("Received GetFlightsRequest '" + from + "' to '" + to + "' on " + departureDateString);
+ }
- /**
- * This endpoint method uses marshalling to handle message with a <BookFlightRequest> payload.
- *
- * @param request the JAXB2 representation of a <BookFlightRequest>
- * @return the JAXB2 representation of a <BookFlightResponse>
- */
- @PayloadRoot(localPart = BOOK_FLIGHT_REQUEST, namespace = MESSAGES_NAMESPACE)
- @ResponsePayload
- public JAXBElement